Subject: bug#3607: 23.0.94; odd character in fringe.el

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Jun 2009 23:44:44 +0200

> Current Emacs doesn't give utf-8 the higher priority than
> iso-8859-1 in Latin-X language environment.  Are you
> proposing such a change?  I can't decide that is good or not
> because I'm not that familiar with such locales.

It is a good change, because the likelyhood of a valid utf-8 file being
a proper latin-1 file is extremely low.

> ?? Even on GNU/Linux (ubuntu), when I start emacs as this:
> % LANG=de_DE emacs
> iso-8859-1 has higher priority than utf-8.

Duh, you're right.  Even Emacs-22 still does that.  It's wrong.

> Or, do you mean the other applications on GNU/Linux?

No, I meant Emacs, I was convinced we'd fixed it in Emacs-22 for
GNU/Linux, but it appears I was confused.

        Stefan